Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- Spinner
- Text
- Widget

# Object SWT

RWT Scripting analoge to org.eclipse.swt.widgets.SWT

Object Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SWT This object defines the public constants used by RWT Scripting, specifically event types and keycodes.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | SWT.ALT keyboard and/or mouse event mask indicating that the ALT key was pushed on the keyboard when the event was generated
<static> | SWT.ARROW_DOWN Keyboard event constant representing the DOWN ARROW key
<static> | SWT.ARROW_LEFT Keyboard event constant representing the LEFT ARROW key
<static> | SWT.ARROW_RIGHT Keyboard event constant representing the RIGHT ARROW key
<static> | SWT.ARROW_UP Keyboard event constant representing the UP ARROW key
<static> | SWT.BREAK Keyboard event constant representing the break key
<static> | SWT.BS Keyboard event constant representing the backspace key
<static> | SWT.CAPS_LOCK Keyboard event constant representing the caps lock key
<static> | SWT.COMMAND Keyboard and/or mouse event mask indicating that the COMMAND key was pushed on the keyboard when the event was generated
<static> | SWT.CONTROL Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated.
<static> | SWT.CR Keyboard event constant representing the carriage return key
<static> | SWT.CTRL Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated
<static> | SWT.CURSOR_APPSTARTING System app startup cursor
<static> | SWT.CURSOR_ARROW System arrow cursor
<static> | SWT.CURSOR_CROSS System cross hair cursor
<static> | SWT.CURSOR_HAND System hand cursor
<static> | SWT.CURSOR_HELP System help cursor
<static> | SWT.CURSOR_IBEAM System i-beam cursor
<static> | SWT.CURSOR_NO System "not allowed" cursor
<static> | SWT.CURSOR_SIZEALL System resize all directions cursor
<static> | SWT.CURSOR_SIZEE System resize east cursor
<static> | SWT.CURSOR_SIZEN System resize north cursor
<static> | SWT.CURSOR_SIZENE System resize north-east cursor
<static> | SWT.CURSOR_SIZENESW System resize north-east-south-west cursor
<static> | SWT.CURSOR_SIZENS System resize north-south cursor
<static> | SWT.CURSOR_SIZENW System resize north-west cursor
<static> | SWT.CURSOR_SIZENWSE System resize north-west-south-east cursor
<static> | SWT.CURSOR_SIZES System resize south cursor
<static> | SWT.CURSOR_SIZESE System resize south-east cursor
<static> | SWT.CURSOR_SIZESW System resize south-west cursor
<static> | SWT.CURSOR_SIZEW System resize west cursor
<static> | SWT.CURSOR_SIZEWE System resize west-east cursor
<static> | SWT.CURSOR_UPARROW System up arrow cursor
<static> | SWT.CURSOR_WAIT System wait cursor
<static> | SWT.DefaultSelection The default selection event type
<static> | SWT.DEL Keyboard event constant representing the delete key
<static> | SWT.END Keyboard event constant representing the END key
<static> | SWT.ESC Keyboard event constant representing the escape key
<static> | SWT.F1 Keyboard event constant representing the F1 key
<static> | SWT.F10 Keyboard event constant representing the F10 key
<static> | SWT.F11 Keyboard event constant representing the F11 key
<static> | SWT.F12 Keyboard event constant representing the F12 key
<static> | SWT.F2 Keyboard event constant representing the F2 key
<static> | SWT.F3 Keyboard event constant representing the F3 key
<static> | SWT.F4 Keyboard event constant representing the F4 key
<static> | SWT.F5 Keyboard event constant representing the F5 key
<static> | SWT.F6 Keyboard event constant representing the F6 key
<static> | SWT.F7 Keyboard event constant representing the F7 key
<static> | SWT.F8 Keyboard event constant representing the F8 key
<static> | SWT.F9 Keyboard event constant representing the F9 key
<static> | SWT.FocusIn The focus in event type
<static> | SWT.FocusOut The focus out event type
<static> | SWT.Hide The hide event type
<static> | SWT.HOME Keyboard event constant representing the HOME key
<static> | SWT.INSERT Keyboard event constant representing the INSERT key
<static> | SWT.KeyDown The key down event type
<static> | SWT.KEYPAD_0 Keyboard event constant representing the numeric key pad zero key
<static> | SWT.KEYPAD_1 Keyboard event constant representing the numeric key pad one key
<static> | SWT.KEYPAD_2 Keyboard event constant representing the numeric key pad two key
<static> | SWT.KEYPAD_3 Keyboard event constant representing the numeric key pad three key
<static> | SWT.KEYPAD_4 Keyboard event constant representing the numeric key pad four key
<static> | SWT.KEYPAD_5 Keyboard event constant representing the numeric key pad five key
<static> | SWT.KEYPAD_6 Keyboard event constant representing the numeric key pad six key
<static> | SWT.KEYPAD_7 Keyboard event constant representing the numeric key pad seven key
<static> | SWT.KEYPAD_8 Keyboard event constant representing the numeric key pad eight key
<static> | SWT.KEYPAD_9 Keyboard event constant representing the numeric key pad nine key
<static> | SWT.KEYPAD_ADD Keyboard event constant representing the numeric key
<static> | SWT.KEYPAD_CR Keyboard event constant representing the numeric key pad enter key
<static> | SWT.KEYPAD_DECIMAL Keyboard event constant representing the numeric key
<static> | SWT.KEYPAD_DIVIDE Keyboard event constant representing the numeric key
<static> | SWT.KEYPAD_EQUAL Keyboard event constant representing the numeric key pad equal key
<static> | SWT.KEYPAD_MULTIPLY Keyboard event constant representing the numeric key
<static> | SWT.KEYPAD_SUBTRACT Keyboard event constant representing the numeric key
<static> | SWT.KeyUp The key up event type
<static> | SWT.Modify The modify event type Fired by Text and combo
<static> | SWT.MouseDoubleClick The mouse double click event type
<static> | SWT.MouseDown The mouse down event type
<static> | SWT.MouseEnter The mouse enter event type
<static> | SWT.MouseExit The mouse exit event type
<static> | SWT.MouseMove The mouse move event type
<static> | SWT.MouseUp The mouse up event type
<static> | SWT.MouseWheel The mouse wheel event type
<static> | SWT.NUM_LOCK Keyboard event constant representing the num lock key
<static> | SWT.PAGE_DOWN Keyboard event constant representing the PAGE DOWN key
<static> | SWT.PAGE_UP Keyboard event constant representing the PAGE UP key
<static> | SWT.Paint The paint event type
<static> | SWT.PAUSE Keyboard event constant representing the pause key
<static> | SWT.PRINT_SCREEN Keyboard event constant representing the print screen key
<static> | SWT.Resize The resize event type Fired by Composite and Canvas
<static> | SWT.SCROLL_LOCK Keyboard event constant representing the scroll lock key
<static> | SWT.Selection The selection event type Fired by Button and Scale
<static> | SWT.SHIFT Keyboard and/or mouse event mask indicating that the SHIFT key was pushed on the keyboard when the event was generated
<static> | SWT.Show The show event type
<static> | SWT.TAB Keyboard event constant representing the tab key
<static> | SWT.Verify The verify event type Fired by Text and Combo Notes: - is not fired on programatic changes - calling setText in verify onsupported

Object Detail
SWT
This object defines the public constants used by RWT Scripting, specifically event types and keycodes.

Since:
  2.2

See:
  Event

Field Detail
<static> SWT.ALT
keyboard and/or mouse event mask indicating that the ALT key was pushed on the keyboard when the event was generated

<static> SWT.ARROW_DOWN
Keyboard event constant representing the DOWN ARROW key

<static> SWT.ARROW_LEFT
Keyboard event constant representing the LEFT ARROW key

<static> SWT.ARROW_RIGHT
Keyboard event constant representing the RIGHT ARROW key

<static> SWT.ARROW_UP
Keyboard event constant representing the UP ARROW key

<static> SWT.BREAK
Keyboard event constant representing the break key

<static> SWT.BS
Keyboard event constant representing the backspace key

<static> SWT.CAPS_LOCK
Keyboard event constant representing the caps lock key

<static> SWT.COMMAND
Keyboard and/or mouse event mask indicating that the COMMAND key was pushed on the keyboard when the event was generated

<static> SWT.CONTROL
Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated. This is a synonym for CTRL

<static> SWT.CR
Keyboard event constant representing the carriage return key

<static> SWT.CTRL
Keyboard and/or mouse event mask indicating that the CTRL key was pushed on the keyboard when the event was generated

<static> SWT.CURSOR_APPSTARTING
System app startup cursor

See:
  Control#setCursor

<static> SWT.CURSOR_ARROW
System arrow cursor

See:
  Control#setCursor

<static> SWT.CURSOR_CROSS
System cross hair cursor

See:
  Control#setCursor

<static> SWT.CURSOR_HAND
System hand cursor

See:
  Control#setCursor

<static> SWT.CURSOR_HELP
System help cursor

See:
  Control#setCursor

<static> SWT.CURSOR_IBEAM
System i-beam cursor

See:
  Control#setCursor

<static> SWT.CURSOR_NO
System "not allowed" cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZEALL
System resize all directions cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZEE
System resize east cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZEN
System resize north cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZENE
System resize north-east cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZENESW
System resize north-east-south-west cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZENS
System resize north-south cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZENW
System resize north-west cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZENWSE
System resize north-west-south-east cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZES
System resize south cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZESE
System resize south-east cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZESW
System resize south-west cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZEW
System resize west cursor

See:
  Control#setCursor

<static> SWT.CURSOR_SIZEWE
System resize west-east cursor

See:
  Control#setCursor

<static> SWT.CURSOR_UPARROW
System up arrow cursor

See:
  Control#setCursor

<static> SWT.CURSOR_WAIT
System wait cursor

See:
  Control#setCursor

<static> SWT.DefaultSelection
The default selection event type

<static> SWT.DEL
Keyboard event constant representing the delete key

<static> SWT.END
Keyboard event constant representing the END key

<static> SWT.ESC
Keyboard event constant representing the escape key

<static> SWT.F1
Keyboard event constant representing the F1 key

<static> SWT.F10
Keyboard event constant representing the F10 key

<static> SWT.F11
Keyboard event constant representing the F11 key

<static> SWT.F12
Keyboard event constant representing the F12 key

<static> SWT.F2
Keyboard event constant representing the F2 key

<static> SWT.F3
Keyboard event constant representing the F3 key

<static> SWT.F4
Keyboard event constant representing the F4 key

<static> SWT.F5
Keyboard event constant representing the F5 key

<static> SWT.F6
Keyboard event constant representing the F6 key

<static> SWT.F7
Keyboard event constant representing the F7 key

<static> SWT.F8
Keyboard event constant representing the F8 key

<static> SWT.F9
Keyboard event constant representing the F9 key

<static> SWT.FocusIn
The focus in event type

<static> SWT.FocusOut
The focus out event type

<static> SWT.Hide
The hide event type

<static> SWT.HOME
Keyboard event constant representing the HOME key

<static> SWT.INSERT
Keyboard event constant representing the INSERT key

<static> SWT.KeyDown
The key down event type

<static> SWT.KEYPAD_0
Keyboard event constant representing the numeric key pad zero key

<static> SWT.KEYPAD_1
Keyboard event constant representing the numeric key pad one key

<static> SWT.KEYPAD_2
Keyboard event constant representing the numeric key pad two key

<static> SWT.KEYPAD_3
Keyboard event constant representing the numeric key pad three key

<static> SWT.KEYPAD_4
Keyboard event constant representing the numeric key pad four key

<static> SWT.KEYPAD_5
Keyboard event constant representing the numeric key pad five key

<static> SWT.KEYPAD_6
Keyboard event constant representing the numeric key pad six key

<static> SWT.KEYPAD_7
Keyboard event constant representing the numeric key pad seven key

<static> SWT.KEYPAD_8
Keyboard event constant representing the numeric key pad eight key

<static> SWT.KEYPAD_9
Keyboard event constant representing the numeric key pad nine key

<static> SWT.KEYPAD_ADD
Keyboard event constant representing the numeric key

<static> SWT.KEYPAD_CR
Keyboard event constant representing the numeric key pad enter key

<static> SWT.KEYPAD_DECIMAL
Keyboard event constant representing the numeric key

<static> SWT.KEYPAD_DIVIDE
Keyboard event constant representing the numeric key

<static> SWT.KEYPAD_EQUAL
Keyboard event constant representing the numeric key pad equal key

<static> SWT.KEYPAD_MULTIPLY
Keyboard event constant representing the numeric key

<static> SWT.KEYPAD_SUBTRACT
Keyboard event constant representing the numeric key

<static> SWT.KeyUp
The key up event type

<static> SWT.Modify
The modify event type Fired by Text and combo

<static> SWT.MouseDoubleClick
The mouse double click event type

<static> SWT.MouseDown
The mouse down event type

<static> SWT.MouseEnter
The mouse enter event type

<static> SWT.MouseExit
The mouse exit event type

<static> SWT.MouseMove
The mouse move event type

<static> SWT.MouseUp
The mouse up event type

<static> SWT.MouseWheel
The mouse wheel event type

<static> SWT.NUM_LOCK
Keyboard event constant representing the num lock key

<static> SWT.PAGE_DOWN
Keyboard event constant representing the PAGE DOWN key

<static> SWT.PAGE_UP
Keyboard event constant representing the PAGE UP key

<static> SWT.Paint
The paint event type

<static> SWT.PAUSE
Keyboard event constant representing the pause key

<static> SWT.PRINT_SCREEN
Keyboard event constant representing the print screen key

<static> SWT.Resize
The resize event type Fired by Composite and Canvas

<static> SWT.SCROLL_LOCK
Keyboard event constant representing the scroll lock key

<static> SWT.Selection
The selection event type Fired by Button and Scale

<static> SWT.SHIFT
Keyboard and/or mouse event mask indicating that the SHIFT key was pushed on the keyboard when the event was generated

<static> SWT.Show
The show event type

<static> SWT.TAB
Keyboard event constant representing the tab key

<static> SWT.Verify
The verify event type Fired by Text and Combo Notes: - is not fired on programatic changes - calling setText in verify onsupported

Copyright (c) EclipseSource and others 2013, 2016. All rights reserved.